Jump to content

Archived

This topic is now archived and is closed to further replies.

DnL Crafts

I need help to edit .pdf files

Recommended Posts

Well Burt you are probably right about me not knowing what I am doing because I certainly need lots of help from the nice gentlemen on this forums.

 

I down loaded the latest version of OSC from the home webpage it is v2.3.4 The only one they have to download.  

 

When I go to admin, tools, define languages, and open shipping, or conditions of use, or privacy and touch nothing, then cancel that then look at the page is corrupt. (please see the original post on this thread, you will see what i am talking about the page being corrupted.  When I go back to the file the opening <?php has changed to <!--?php and the bottom closing ?> has changed to ?--> The more times you look at the file without deleting the dashes (--) and exclamation(!--) the more dashes you get.  

 

If you remember to remove !-- at the top and the-- at the bottom it works fine. Thanks to (I think it was bonbec) that caught that error. 

 

I installed this clean download from https://www.oscommerce.com/Products on two different domains (same ISP) and both do the same thing.  

 

Thanks for you input here but it would be nice to know you or someone checked it out and put a newer version on https://www.oscommerce.com/Products for download.  Especially since V2.3.4 is no longer supported..


Lou Brown
Florida Panhandle USA

Share this post


Link to post
Share on other sites

@

 

Lou, osCommerce is mostly community supported. Everyone on this forum is volunteering their time and knowledge. There is one person "in charge", but he does not do much of the day-to-day support.

 

Version 2.3.4 is the last "official" version, but it is several years old. There are two "community supported" versions that are much more up-to-date, but since they are not the "official version", you won't find them available as an 'official' downloadable choice, If you want to try the community version(s), you may find them here:

 

Gold: This is a stable version, and is completely responsive (meaning, it works well on phones, tablets, etc)

https://github.com/gburton/Responsive-osCommerce/archive/v2.3.4-GOLD.zip

 

Edge: This is continuously evolving, and is currently the very latest version. It too is responsive

https://github.com/gburton/Responsive-osCommerce/archive/master.zip

 

Regarding the issues you were having ... osCommerce is a constantly evolving product, and as such, the documentation (what there is of it) has not kept up with the product itself. What you did was to use a tool to do something that it wasn't designed to do. This is not necessarily your fault, since there is no documentation saying what the tool was, nor how to use it. Once we finally understood what you were doing, and how the tool in question was producing the results it was, a solution could be found.

 

HTH

 

Malcolm


Get the latest Responsive osCommerce CE (community edition) here .

Share this post


Link to post
Share on other sites

Can my 2.3.4 be upgraded to 2.3.4-gold version or do I have to start allllll over?  I know this is probably covered in another thread.  I am not much for understanding tech talk and techs can't understand me, so guess we will continue to plug along with this thing called a web site.  The next thing I am going to attack is the USPS shipping module.  I found a thread that looks like it will solve my problem on that.  I have downloaded the Gold.zip from above and will see what I can do with it.

 

Thanks for the links to the updated versions.  I will do some reading and see if I think I can handle the change.  From what I read the BS edge is still having plenty of problems.  Not sure i am ready for more problems. LOL

 

Thanks to all you people that support these forums and help dummies like me, that think we want to have our own web site.  


Lou Brown
Florida Panhandle USA

Share this post


Link to post
Share on other sites

Yes, you essentially have to "start over" to move to BS Gold or Edge. Your data will be salvageable (with a simple DB upgrade), but the code is a fresh installation (not an upgrade in the sense of automatically updating a few files). BS Edge is reasonably stable, but as development continues on it, there are bound to be glitches now and then. I wish @@burt would preserve a stable release now and then (gold, silver, bronze,...) so that people using Edge would be fully knowledgeable that it's not quite stable, and could choose to drop back to a stable release other than (the now pretty old) Gold. Of course, with a fresh code installation comes finding and installing add-ons for it. At some point, you really ought to go ahead and make a test installation, on the side, of Edge, with a copy of your data, and see how much work it will be. You may be pleasantly surprised, and find yourself moving to Edge for your production shop.

 

The fact that "official" releases end with 2.3.4, which is now 3 years old, is a catastrophe for osCommerce. It doesn't matter how great 2.4 is going to be, and how many new features it will sport -- the world regards osC as a dead letter because it hasn't been refreshed in so long. Unfortunately, Harald just doesn't get it.

 

 

...from the nice gentlemen on this forum...

 

Huh? Is someone calling me a gentleman? Are YOU calling me a gentleman? :)

Share this post


Link to post
Share on other sites

@@MrPhil - re a stable release...that's upcoming.  I really want to get the php7 changes in there first, but we are having real problems getting enough feedback on the changes (do they work, do they break something, do they work on redhat but not on debian), things like this.


This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites

@@MrPhil - re a stable release...that's upcoming.  I really want to get the php7 changes in there first, but we are having real problems getting enough feedback on the changes (do they work, do they break something, do they work on redhat but not on debian), things like this.

 

@@burt  Gary I wonder if part of the problem here is that php 7.0 doesn't seem to be in very wide use yet....I have access to a couple of cpanels and it's not yet an option....out of curiosity I googled the usage stats for php 7 and it looks like it is only used by 3.4% of all sites using php at this point. 

 

This information is taken from here.

 

Dan

;

Share this post


Link to post
Share on other sites

Sure thing.  php7 is still not in massive use, none of my hosts have it.


This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites

Sure thing.  php7 is still not in massive use, none of my hosts have it.

play your own host, get a raspberry pi ?

my host offers php7, but only sitewide, i am going to test first on a raspberry pi before i take the plunch.


KEEP CALM AND CARRY ON

I do not use the responsive bootstrap version since i coded my responsive version earlier, but i have bought every 28d of code package to support burts effort and keep this forum alive (albeit more like on life support).

So if you are still here ? What are you waiting for ?!

 

Find the most frequent unique errors to fix:

grep "PHP" php_error_log.txt | sed "s/^.* PHP/PHP/g" |grep "line" |sort | uniq -c | sort -r > counterrors.txt

Share this post


Link to post
Share on other sites

play your own host, get a raspberry pi ?

my host offers php7, but only sitewide, i am going to test first on a raspberry pi before i take the plunch.

 

If you do set up a Pi, would you make a post of it please, so that anyone else could do the same?

Would be super cool for shopowners to have their own backup in this way.


This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites

@@burt @@bruyndoncx

I have a Pi setup running apache,php & mysql.  Easy is setup, lots of tutorials on the Pi official web site. www.raspberrypi.org

I use it for my home electronics projects linked to arduinos.

 

I've never setup oscommerce, but it should work.  Maybe I'll try.

Mike


osC BS gold live - osC CE in development (awesome)

Share this post


Link to post
Share on other sites

×